## Gpg4Win (VS-NfD)

#### Gpg4Win 3.x.x mit einer aktivierten VS-NfD konformen Konfiguration

<b>Bitte wählen Sie den entsprechenden Branch aus ...</b>

<img src="gpg4win-3.3.0.jpg" alt="Gpg4Win VS-NfD"><br>

-- Deutsch --

Die Installation besteht (wie "Gpg4Win 4.x.x") aus einem einzigen Paket, welches wie "GnuPG VS Desktop" die VS-NfD-konforme Konfiguration bereits beinhaltet. Das Backend "[GnuPG](https://code.schleswig-holstein.de/vitusb/gnupg-vs-nfd)" ist zu 100% identisch mit der Version von "GnuPG VS Desktop" und besitzt ebenfalls eine identische "Digitale Signatur" der Fa. "g10 Code GmbH". 

Erstellt wurde "Gpg4Win 3.x.x VS-NfD" aus dem jeweiligen "Snapshot" (Release-Tag) der ausgecheckten Git-Version zusammen mit einem angepassten "[GnuPG](https://code.schleswig-holstein.de/vitusb/gnupg-vs-nfd)" Installer-Paket bei dem die VS-NfD-konforme Konfiguration, sowie die VSD-Dokumentation bereits integriert sind.

<ins>Unterschied zu "GnuPG VS Desktop"</ins>

- Basiert auf original Quellcode-Release mit Release-Tag aus dem Git-Repo.
- Komplett frei verfügbares Installationspaket.
- Gehärtete VS-NfD-konforme Konfiguration (kein [ADSK-Schlüssel](https://code.schleswig-holstein.de/vitusb/gnupg-vs-nfd/-/blob/main/README.md#adsk) über Registry aktivierbar).
- 4096-Bit RSA-Schlüssel vorkonfiguriert.
- Kleopatra Auto-Update global deaktiviert.
- Zusätzliche Krypto-Profile für folgende Algortihmen vorkonfiguriert: "RSA-4096.prf", "Curve25519.prf", "Curve448.prf", "Curve-secp256k1.prf", "Brainpool512.prf", "Brainpool384.prf", "Brainpool256.prf".
- Vorinstallierte "trustlist" mit ROOT-CAs des Mozilla Cert-Store, Dataport-CAs und X.500-Bund-CAs.
- Update-Mechanismus für ROOT-CAs des Mozilla Cert-Store durch ein Skript "BuildTrustList.bat" (aktuell nicht aktiviert).
- Die Verzeichnisstruktur ist identisch mit der von Gpg4Win v4.x.x, da das "[GnuPG](https://code.schleswig-holstein.de/vitusb/gnupg-vs-nfd)" Backend als externes Paket bei der Installation in ein eigenes Verzeichnis installiert wird. "GnuPG VS Desktop" besitzt eine andere Verzeichnisstruktur, bei der das GnuPG-Backend in einem untergrordneten Verzeichnis: "GnuPG VS-Desktop\GnuPG\bin" installiert wird.
- Erweiterte Dokumentation für "Yubikey 5"-Token.
- Gegenwärtig keine Freigabe für VS-NfD, da die Binaries des grafischen Frontend (Kleopatra, GpgOL, GpgEX, etc.) keine offizielle "Digitale Signatur" besitzen (Self-Build).

<br><br>
-- English --

#### Gpg4Win 3.x.x with an activated VS-NfD compliant configuration

<b>Please select the appropriate branch ...</b>

The installation consists (like "Gpg4Win 4.x.x") of a single package, which (like "GnuPG VS Desktop") already includes the VS-NfD-compliant configuration. The backend "[GnuPG](https://code.schleswig-holstein.de/vitusb/gnupg-vs-nfd)" is 100% identical to the version of "GnuPG VS Desktop" and also has an identical "digital signature" from "g10 Code GmbH".

"Gpg4Win 3.x.x VS-NfD" was created from the respective "snapshot" (release tag) of the checked-out Git version together with a customized "[GnuPG](https://code.schleswig-holstein.de/vitusb/gnupg-vs-nfd)" installer-package in which the VS-NfD-compliant configuration and the VSD documentation are already integrated.

<ins>Difference to "GnuPG VS Desktop"</ins>

- Based on original source code with release tag.
- Completely freely available installation package.
- Hardened VS-NfD-compliant configuration (no [ADSK-key](https://code.schleswig-holstein.de/vitusb/gnupg-vs-nfd/-/blob/main/README.md#adsk-1) can be activated via registry).
- 4096-bit RSA-key preconfigured.
- Kleopatra auto-update globally deactivated.
- Additional crypto profiles preconfigured for the following algorithms: "RSA-4096.prf", "Curve25519.prf", "Curve448.prf", "Curve-secp256k1.prf", "Brainpool512.prf", "Brainpool384.prf", "Brainpool256.prf".
- Pre-installed "trustlist" with ROOT-CAs of the Mozilla Cert-Store, Dataport-CAs and X.500-Bund-CAs.
- Update mechanism for ROOT-CAs of the Mozilla Cert-Store (currently not activated).
- The directory structure is identical to that of Gpg4Win v4.x.x, since the "[GnuPG](https://code.schleswig-holstein.de/vitusb/gnupg-vs-nfd)" backend is installed as an external package in its own directory during installation. "GnuPG VS Desktop" has a different directory structure, where the GnuPG backend is installed in a subdirectory: "GnuPG VS-Desktop\GnuPG\bin".
- Extended documentation for "Yubikey 5"-tokens.
- Currently no release for VS-NfD, because the binaries of the graphical frontend (Kleopatra, GpgOL, GpgEX, etc.) do not have an official "digital signature" (self-build).
